# LoneColor for Android

> "One of the most simplistic and cleverly designed apps we've seen in a long time."<br />
> &mdash; <cite>Softpedia Excellent Editor's Review Award</cite>

Tap the LoneColor icon to instantly set a beautiful color as your cool, modern and elegant wallpaper. LoneColor brings an infinite palette of tints to your smartphone or tablet.

LoneColor is a zero interface app: just tap its icon and instantly see the wallpaper change to a surprising random color. Or copy one of the millions of color codes from a color loving community on the Internet, or from any other app, and tap LoneColor to see it instantly fill your screen. (Try #D31996, FF9900, or red.)

Color wallpapers may be a welcome and relaxing change from the traditional photo wallpapers. LoneColor wallpapers also free up valuable memory, consume less battery, and make your device run faster.

If the random color wallpaper is not to your taste, and because LoneColor is so "instant" and easy to use, you can keep tapping its icon until you are satisfied with the result. And you can refresh your color wallpaper as often as you like.

As a zero interface app (without any texts, buttons or settings), LoneColor gives you feedback using the... Clipboard. Just go and paste anywhere to get the color code of the random wallpaper, or any (unlikely) error messages.

LoneColor also has a zero interface [version](https://github.com/tecdrop/LoneColor-Windows) for Windows PCs and laptops.

## Download

<a href='https://play.google.com/store/apps/details?id=com.appgramming.lonecolor'><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png' width="240"/></a>

## Screenshots

<a href="https://cloud.githubusercontent.com/assets/17748046/18539692/f2304e5a-7b21-11e6-8bfd-ac9e3b8813f8.png" target="_blank">
  <img src="https://cloud.githubusercontent.com/assets/17748046/18539692/f2304e5a-7b21-11e6-8bfd-ac9e3b8813f8.png" width="310"     alt="LoneColor for Android Screenshot - Tap.png"/>
</a>
<a href="https://cloud.githubusercontent.com/assets/17748046/18539693/f230828a-7b21-11e6-979b-2d3953e73d40.png" target="_blank">
  <img src="https://cloud.githubusercontent.com/assets/17748046/18539693/f230828a-7b21-11e6-979b-2d3953e73d40.png" width="310"     alt="LoneColor for Android Screenshot - Tap.png"/>
</a>
<a href="https://cloud.githubusercontent.com/assets/17748046/18539694/f230ab5c-7b21-11e6-8e08-334995d4a8fb.png" target="_blank">
  <img src="https://cloud.githubusercontent.com/assets/17748046/18539694/f230ab5c-7b21-11e6-8e08-334995d4a8fb.png" width="310"     alt="LoneColor for Android Screenshot - Tap.png"/>
</a>
<a href="https://cloud.githubusercontent.com/assets/17748046/18539695/f230d7bc-7b21-11e6-8df7-25d09b01fcba.png" target="_blank">
  <img src="https://cloud.githubusercontent.com/assets/17748046/18539695/f230d7bc-7b21-11e6-8df7-25d09b01fcba.png" width="310"     alt="LoneColor for Android Screenshot - Tap.png"/>
</a>

## Reviews

> "Tired of detailed wallpapers making it harder to read shortcut text? LoneColor offers a quick, minimalist answer."<br />
> &mdash; <cite>PC Advisor</cite>

> "If you prefer a solid color wallpaper on Android phones, then you are going to love the LoneColor app."<br />
> &mdash; <cite>TrishTech</cite>

> "Color me green, Color me red, Color me good – LoneColor me for sure!"<br />
> &mdash; <cite>Techglimpse</cite>

> "There are no settings and options to confuse the user."<br />
> &mdash; <cite>Download3K Editor's Review: Very Good</cite>

> "Awesome Idea bro, Loved it Come here from GitHub and lovely coding style and lovely innovative idea. Really amazing"
> &mdash; <cite>★★★★★ Mayank Kaushik on Google Play</cite>

[More Reviews](https://www.tecdrop.com/lonecolor/reviews/)

## Building
1. Download and install [Android Studio](https://developer.android.com/sdk/index.html)
2. Clone the project or a fork of it to your local development machine
3. Import the project into Android Studio
4. Sync Project with Gradle files to download all the dependencies
5. Open the SDK manager to install the required Android SDK Tools and Android SDK Build-tools
6. Build the project

## Contributions

Contributions are welcome: code, text, documentation, design, graphics, suggestions. Please fork this repository and contribute back using [pull requests](https://github.com/tecdrop/LoneColor-Android/pulls), [submit an issue](https://github.com/tecdrop/LoneColor-Android/issues), or [send an email](https://www.tecdrop.com/contact/).

## Author

LoneColor for Android was created in 2014 by [Horațiu Tănescu](https://horatiu.me), cofounder of [East-Tec](https://www.east-tec.com) and original creator of [east-tec Eraser](https://www.east-tec.com/eraser/), the privacy solution that quickly and securely covers your online and PC tracks.

## License

LoneColor is licensed under the [MIT license](LICENSE).
